Bug 1477048 - [lftp] connection to https://arxiv.org fails due to certificate error
[lftp] connection to https://arxiv.org fails due to certificate error
Status: NEW
Product: Fedora
Classification: Fedora
Component: lftp (Show other bugs)
27
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Ruprich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 02:57 EDT by Joachim Frieben
Modified: 2018-05-14 03:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Certificate information returned by Firefox for https://arxiv.org (64.28 KB, image/png)
2017-08-01 02:57 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2017-08-01 02:57:06 EDT
Created attachment 1307390 [details]
Certificate information returned by Firefox for https://arxiv.org

Description of problem:
Any attempt to connect to https://arxiv.org fails when verifying the certificate's issuer:

$ lftp https://arxiv.org
cd: Fatal error: Certificate verification: Not trusted: no issuer was found (C4:3F:D4:BD:3C:BA:B7:8C:45:B1:6B:87:3B:C0:7B:A4:CF:32:99:A2) 

Version-Release number of selected component (if applicable):
lftp-4.7.7-1.fc26

How reproducible:
Always

Steps to Reproduce:
1. Run 'lftp https://arxiv.org'.

Actual results:
Attempt to connect fails with the error message: "Fatal error: Certificate verification: Not trusted: no issuer was found (C4:3F:D4:BD:3C:BA:B7:8C:45:B1:6B:87:3B:C0:7B:A4:CF:32:99:A2)".

Expected results:
Connection is established successfully.

Additional info:
- The same site can be accessed successfully with Firefox, and the related connection information does not reveal any issue (see attached screenshot).
- The issue appeared sometime during the last months.
Comment 1 Joachim Frieben 2017-08-01 03:10:25 EDT
No improvement after upgrading to lftp-4.8.0-1.fc26.
Comment 2 Michal Ruprich 2017-11-14 04:26:05 EST
It seems that the problem is caused by a missing certificate in the chain of certificates returned by gnutls function in lftp (at least according to the upstream). I tried to look into the problem and suggested some ideas to the upstream.
Comment 3 Fedora End Of Life 2018-05-03 04:28:58 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.